Subject: bug#28652: 26.0.60; Display often "flashes" due to double buffering when switching to Emacs frames

From: [email-masked] (N. Jackson)
Date: Sat, 30 Sep 2017 15:07:41 -0400

At 10:32 +0200 on Saturday 2017-09-30, martin rudalics wrote:
>
>> In GNU Emacs 26.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.17)
>>   of 2017-09-24 built on moondust.localdomain
>
> If this happened for a build of master in between commits
>
> c0af83b6ccf2dab9a515dd7f52eb9d4500275ae3
>
> and
>
> 2fa19cc5510cdbf00c54991a9959be984dd99fbe
>
> it would imply that inhibiting double buffering is also needed
> even if it did not cause problems like those from bug#28589. But
> apparently you built from the release branch. So I'm slightly
> confused.
>
> martin

Hi Martin,

Sorry, I don't know if I can help with your confusion.

Yes, I built from the release branch (emacs-26) on 2017-09-24 at
commit d93301242f38d3d9aaa55899c07496f0bdecf391.

The commits you mention were made 2017-08-27 and 2017-09-26
respectively, but neither of them seem to be in the emacs-26
branch.

I am not familiar with bug#28589.

N.